#include "QVTKWidget3.h"

#include <QOpenGLContext>
#include <QSurfaceFormat>

#include <iostream>

QVTKWidget3::QVTKWidget3(QWidget *parent, Qt::WindowFlags f)
  : QOpenGLWidget(nullptr, f)
{
}

QVTKWidget3::~QVTKWidget3()
{
}

void QVTKWidget3::initializeGL()
{
  this->initializeOpenGLFunctions();
  this->glClearColor(0.5f, 0.5f, 0.5f, 1.0f);
  this->glClearDepthf(1.0f);
}

void QVTKWidget3::paintGL()
{
  this->glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
}

void QVTKWidget3::resizeGL(int, int)
{
  auto surfaceFormat = this->context()->format();
  std::cout << surfaceFormat.majorVersion() << '.' << surfaceFormat.minorVersion() << std::endl;
}
